API reference / YouTube / Video categories list
Video categories list
Read-only YouTube Data API v3 videoCategories list endpoint.
1 credit per successful call
Errors are never charged
Request
GET
https://socialgraph.dev/api/v1/youtube/videoCategories
Send your API key as Authorization: Bearer YOUR_API_KEY.
Parameters go in the query string.
Parameters
| Name | Type | Description |
|---|---|---|
partrequired |
string | Required. Use snippet. |
regionCodeoptional |
string | Categories available in this country (provide regionCode or id). For example: US |
idoptional |
string | Comma-separated category IDs (provide regionCode or id). For example: 28 |
hloptional |
string | Language for the category titles. For example: es |
Code examples
Example response
{
"etag": "QteLrrS_X7rM7rlcU_e7qa0embQ",
"kind": "youtube#videoCategoryListResponse",
"items": [
{
"id": "1",
"etag": "grPOPYEUUZN3ltuDUGEWlrTR90U",
"kind": "youtube#videoCategory",
"snippet": {
"title": "Film & Animation",
"channelId": "UCBR8-60-B28hp2BmDPdntcQ",
"assignable": true
}
},
{
"id": "2",
"etag": "Q0xgUf8BFM8rW3W0R9wNq809xyA",
"kind": "youtube#videoCategory",
"snippet": {
"title": "Autos & Vehicles",
"channelId": "UCBR8-60-B28hp2BmDPdntcQ",
"assignable": true
}
},
{
"id": "10",
"etag": "qnpwjh5QlWM5hrnZCvHisquztC4",
"kind": "youtube#videoCategory",
"snippet": {
"title": "Music",
"channelId": "UCBR8-60-B28hp2BmDPdntcQ",
"assignable": true
}
},
{
"id": "15",
"etag": "HyFIixS5BZaoBdkQdLzPdoXWipg",
"kind": "youtube#videoCategory",
"snippet": {
"title": "Pets & Animals",
"channelId": "UCBR8-60-B28hp2BmDPdntcQ",
"assignable": true
}
},
{
"id": "17",
"etag": "PNU8SwXhjsF90fmkilVohofOi4I",
"kind": "youtube#videoCategory",
"snippet": {
"title": "Sports",
"channelId": "UCBR8-60-B28hp2BmDPdntcQ",
"assignable": true
}
}
]
}Errors
| Status | Meaning | Charged? |
|---|---|---|
| 401 | Missing, invalid or revoked API key | No |
| 402 | Not enough credits (insufficient_credits) | No |
| 404 | The account or post doesn't exist | No |
| 422 | Missing or invalid parameters | No |
| 502 / 503 | The data source is temporarily unavailable | No |
Try it live: Video categories list
GET
🔒 Preset demo input. Live demos use the Google for Developers channel, youtube.com/@GoogleDevelopers. Sign up free to use your own.
More YouTube endpoints
GET
Activities list
Read-only YouTube Data API v3 activities list endpoint.
/api/v1/youtube/activities
1 credit / call
GET
Channel sections list
Read-only YouTube Data API v3 channelSections list endpoint.
/api/v1/youtube/channelSections
1 credit / call
GET
Channels list
Read-only YouTube Data API v3 channels list endpoint.
/api/v1/youtube/channels
1 credit / call
GET
Comment threads list
Read-only YouTube Data API v3 commentThreads list endpoint.
/api/v1/youtube/commentThreads
1 credit / call
GET
Comments list
Read-only YouTube Data API v3 comments list endpoint.
/api/v1/youtube/comments
1 credit / call
GET
Internationalization languages list
Read-only YouTube Data API v3 i18nLanguages list endpoint.
/api/v1/youtube/i18nLanguages
1 credit / call